CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2023 开发者帮助

PlotConfigurations 属性 (ActiveX)

2024-5-18 18:57| 发布者: admin| 查看: 130| 评论: 0|原作者: admin|来自: AutoCAD

PlotConfigurations 属性 (ActiveX)

获取文档的 PlotConfigurations 集合。

支持的平台:仅限 Windows

签名

VBA:

object.PlotConfigurations
对象

类型:数据库文档

此属性应用于的对象。

属性值

只读:是的

类型:PlotConfigurations

文档的集合。PlotConfigurations

言论

没有其他评论。

例子

VBA:

Sub Example_PlotConfigurations()
    ' This example will access the PlotConfigurations collection for the current drawing,
    ' add a plot configuration, and list basic information about the
    ' plot configurations in the drawing.

    Dim PlotConfigurations As AcadPlotConfigurations
    Dim PlotConfiguration As AcadPlotConfiguration
    Dim msg As String
    
    ' Get PlotConfigurations collection from document object
    Set PlotConfigurations = ThisDrawing.PlotConfigurations
    
    ' If there aren't any plot configurations, then add one
    If PlotConfigurations.count = 0 Then
        '*** Customize the new configuration to your satisfaction ***
        PlotConfigurations.Add "NEW_CONFIGURATION"
    End If
    
    msg = vbCrLf     ' Start with a space
    
    ' Get the names of the plot configurations in this drawing
    For Each PlotConfiguration In PlotConfigurations
        msg = msg & PlotConfiguration.name & vbCrLf
    Next
    
    ' Display a list of available plot configurations
    MsgBox "There are " & PlotConfigurations.count & " plot configuration(s) in " & _
           ThisDrawing.WindowTitle & ":" & msg
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_PlotConfigurations()
    ;; This example will access the PlotConfigurations collection for the current drawing,
    ;; add a plot configuration, and list basic information about the
    ;; plot configurations in the drawing.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; Get PlotConfigurations collection from document object
    (setq PlotConfigurations (vla-get-PlotConfigurations doc))
    
    ;; If there aren't any plot configurations, then add one
    (if (= (vla-get-Count PlotConfigurations) 0)
        ;; *** Customize the new configuration to your satisfaction ***
        (vla-Add PlotConfigurations "NEW_CONFIGURATION")
    )
    
    (setq msg "")
    
    ;; Get the names of the plot configurations in this drawing
    (vlax-for PlotConfiguration PlotConfigurations
        (setq msg (strcat msg (vla-get-Name PlotConfiguration) "\n"))
    )
    
    ;; Display a list of available plot configurations
    (alert (strcat "There are " (itoa (vla-get-Count PlotConfigurations)) " plot configuration(s) in "
                   (vla-get-WindowTitle doc) ": \n" msg))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-3-14 05:47

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部